package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 轮播图
 * </p>
 *
 * @author liquidnet
 * @since 2021-12-27
 */
@ApiModel(value = "GoblinFrontBannerBuildParam", description = "轮播图param")
@Data
public class GoblinFrontGoodDetailVo implements Serializable {
    //spu
    GoblinGoodsInfoVo goblinGoodsInfoVo;
    //sku
    List<GoblinGoodsSkuInfoVo> goblinGoodsSkuInfoVolist;



    private static final long serialVersionUID = 1L;

    private static final GoblinFrontGoodDetailVo obj = new GoblinFrontGoodDetailVo();

    public static GoblinFrontGoodDetailVo getNew() {
        try {
            return (GoblinFrontGoodDetailVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinFrontGoodDetailVo();
        }
    }

}
